2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-docs.xml:
	* clutter/clutter-sections.txt: Add ClutterBindingPool
	section and link.

2008-11-12  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-sections.txt: Add new symbols.

2008-10-17  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-sections.txt: Add the new ClutterColor
	symbols.

2008-09-25  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-sections.txt: Add
	clutter_get_option_group_without_init()

2008-08-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* doc/reference/clutter/clutter-sections.txt: Add
	clutter_script_list_objects().

2008-07-30  Ross Burton  <ross@openedhand.com>

	* clutter/version.xml.in:
	* cogl/version.xml.in:
	Remove trailing newline as it upsets Devhelp

2008-07-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/subclassing-ClutterActor.xml: Update the ClutterActor
	subclassing section by removing the cogl_push/pop_matrix() calls
	where not needed.

2008-07-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-sections.txt: Add the missing X11 backend
	API.

2008-07-01  Emmanuele Bassi  <ebassi@openedhand.com>

	* cogl/cogl-docs.sgml: Add an index to the COGL API reference
	and the licensing information.

2008-06-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-overview.xml: Split the overview into its own
	file, so we gtk-doc can linkify all class names.

	* clutter/building-clutter.xml: Split the building instructions
	into its own file, for better maintainability.

	* clutter/clutter-animation.xml:
	* clutter/creating-behaviours.xml:
	* clutter/subclassing-ClutterActor.xml: Rename from SGML to XML;
	these were not SGML files anyway, but templates.

	* clutter/clutter-docs.sgml: Use XInclude instead of the ugly
	entities hack.

	* clutter/Makefile.am: Update the build.

2008-06-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-sections.txt: Add missing symbols.

2008-06-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-sections.txt: Add
	clutter_backend_get_display_size() to the documented symbols.

2008-06-24  Matthew Allum  <mallum@openedhand.com>

	* cogl/Makefile.am:
	* cogl/cogl-docs.sgml:
	* cogl/version.xml.in:
	* clutter/version.xml.in:
	Add full version (including minor) to docs.
	Add version to COGL docs

2008-06-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-sections.txt: Remove clutter_actor_get_paint_area()
	and add clutter_actor_allocate_preferred_size().

2008-06-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/subclassing-ClutterActor.sgml: Remove mention of the
	get_paint_area() function and virtual function.

2008-06-23  Øyvind Kolås  <pippin@o-hand.com>

	* clutter/subclassing-ClutterActor.sgml: added missing call to
	cogl_push_matrix ()

2008-06-16  Matthew Allum  <mallum@openedhand.com>

	* cogl/cogl-docs.sgml:
	Add an intro.

2008-06-13  Øyvind Kolås  <pippin@o-hand.com>

	* clutter/event-flow.png: fixed typo.
	* clutter/event-flow.dia: added source for event-flow.png, this file
	is not referred to in Makefile.am and thus not distributed in
	tarballs.

2008-06-12  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-docs.sgml: Clean up.

	* clutter/clutter-sections.txt: Add missing new symbols.

	* clutter/clutter.types: Add ClutterChildMeta type.

2008-06-11  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/subclassing-ClutterActor.sgml: Add more notes and
	remind to relayout when adding children to an actor.

2008-06-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-sections.txt: Update with the new API.

	* clutter/subclassing-ClutterActor.sgml: Update with the new
	size negotiation API.

2008-06-09  Chris Lord  <chris@openedhand.com>

	* cogl/cogl-sections.txt:
	Add missing cogl_path_arc

2008-06-06  Emmanuele Bassi  <ebassi@openedhand.com>

	Bug #927 - Created ports for clutter, clutter-cairo in macports

	* clutter/clutter-docs.sgml: Update the OSX build instructions
	and mention that the preferred way to build Clutter for developing
	applications is via MacPorts. (#927, Idan Gazit)

2008-05-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-sections.txt: Update with new symbols.

2008-05-09  Neil Roberts  <neil@o-hand.com>

	* clutter/clutter-sections.txt: Added
	clutter_threads_add_frame_source,
	clutter_threads_add_frame_source_full, clutter_frame_source_add
	and clutter_frame_source_add_full.

2008-04-29  Neil Roberts  <neil@o-hand.com>

	* cogl/cogl-sections.txt: Added cogl_shader_ref,
	cogl_shader_unref, cogl_is_shader, cogl_program_ref,
	cogl_program_unref, cogl_is_program and cogl_is_offscreen.

2008-04-29  Øyvind Kolås  <pippin@o-hand.com>

	* cogl/cogl-sections.txt: updated after cogl primitives api rename
	session.

2008-04-28  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-docs.sgml: Add index for the 0.8 symbols.

	* clutter/Makefile.am:
	* cogl/Makefile.am: Revert back, as EXTRA_DIST has been defined
	by gtk-doc.make and automake-1.9 complains loudly about a
	redefinition of EXTRA_DIST.

2008-04-22  Øyvind Kolås  <pippin@o-hand.com>

	* clutter/Makefile.am: 
	* cogl/Makefile.am: s/EXTRA_DIST +=/EXTRA_DIST =/ since newer automake
	is more stringent and EXTRA_DIST has not been defined earlier.

2008-04-21  Neil Roberts  <neil@o-hand.com>

	* cogl/cogl-sections.txt: Added CoglTextureVertex,
	cogl_texture_can_polygon and cogl_texture_polygon.

2008-04-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* cogl/cogl-docs.sgml: Fill out and add an "about" section.

	* cogl/cogl-sections.txt: Remove unused/redundant stuff,
	divide into logical subsections and in general make the
	documentation more structured.

	* cogl/Makefile.am: Ignore some private header files.

2008-04-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* cogl/: Add COGL documentation.

	* Makefile.am: Add cogl/ to the list of SUBDIRS.

2008-04-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/:
	* *: Moved everything into the clutter/ subdirectory, to make
	room for the COGL API reference.

2008-04-07  Neil Roberts  <neil@o-hand.com>

	* clutter-sections.txt: Removed clutter_texture_new_from_pixbuf
	and clutter_texture_{get,set}_pixbuf. Added
	clutter_texture_{set,new}_from_file.

2008-04-03  Neil Roberts  <neil@o-hand.com>

	* clutter-sections.txt: Removed ClutterTexture functions that are
	no longer neccessary to implement ClutterCloneTexture because of
	the new COGL texture API. Added
	clutter_texture_{get,set}_filter_quality and
	clutter_texture_get_cogl_texture.

2008-03-30  Neil Roberts  <neil@o-hand.com>

	* clutter-sections.txt: Added clutter_win32_get_stage_from_window

2008-03-26  Neil Roberts  <neil@o-hand.com>

	* clutter-sections.txt: Added a section for the Win32 specific
	API.

	* clutter-docs.sgml: Added comments about the Win32 backend.

	* Makefile.am: Added bits to ignore the headers for the Win32
	backend.

2008-03-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-section.txt: Update after API change in ClutterScore.

2008-03-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-section.txt: Add new score API.

2008-03-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-section.txt: Add timeline-marker API.

2008-03-07  Øyvind Kolås  <pippin@o-hand.com>

	* Makefile.am: Ignore clutter-id-pool.h to avoid picking up
	private symbols.

2008-02-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Add building instructions for OSX

2008-02-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-animation.sgml: Fix warning

	* creating-your-own-behaviours.sgml: Add a paragraph about
	setting an initial state on the actors.

2008-02-15  Matthew Allum  <mallum@openedhand.com>

	* clutter-docs.sgml:
	Minor tweakery.

2008-02-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Fix ClutterMedia section.

2008-02-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Move ClutterStage from the base actors
	to the container actors section.

2008-02-15  Tomas Frydrych  <tf@openedhand.com>

	* clutter-docs.sgml:
	Build instructions for Linux and Windows.

2008-02-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-animation.sgml: Fix the animations documentation.

2008-02-15  Chris Lord  <chris@openedhand.com>

	* clutter-docs.sgml: Fix documentation.

2008-02-15  Matthew Allum  <mallum@openedhand.com>

	* clutter-docs.sgml:
	Overhaul the overview.

2008-02-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-animation.sgml: Fix some of the grammar; add a timeout-based
	animation example.

	* creating-your-own-behaviours.sgml: Fix some of the linking.

	* subclassing-ClutterActor.sgml: Remove the FIXMEs; add the initial
	structure of a section about containers.

2008-02-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Fix varlistentry usage.

2008-02-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add last-minute API additions.

	* subclassing-ClutterActor.sgml: Fix some of the notes; the
	Container implementation will need its own section.

2008-02-14  Matthew Allum  <mallum@openedhand.com>

	* clutter-animation.sgml:
	Add new animation docs. Needs work.

2008-02-13  Matthew Allum  <mallum@openedhand.com>

	* Makefile.am:
	* clutter-docs.sgml:
	Add new appendix + FIXME for building
	* creating-your-own-behaviours.sgml:
	Add new initial doc on custom behaviour creation.
	* subclassing-ClutterActor.sgml:
	Add FIXME notes.

2008-02-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* actor-box.png:
	* Makefile.am: Add actor-box.png.

2008-02-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Add dependencies inside the overview.

2008-02-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am:
	* alpha-func.png:
	* event-flow.png: More figures. alpha-func.png is a graph
	showing the flow of some alpha functions; event-flow.png maps
	the path of an event coming from the underlying windowing
	system into Clutter and through the entire library.

2008-02-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* path-alpha-func.png: Image showing the effects of different
	alpha functions on the same path behaviour.

	* Makefile.am: Add fixxref options.

2008-02-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add:

	  clutter_actor_move_anchor_point
	  clutter_actor_move_anchor_point_from_gravity
	  clutter_actor_set_shader
	  clutter_actor_get_shader
	  clutter_actor_move_anchor_pointu
	  clutter_texture_new_from_actor
	  clutter_entry_set_cursor_position
	  clutter_entry_get_cursor_position

	Remove:

	  clutter_actor_apply_shader
	  clutter_behaviour_scale_set_gravity
	  clutter_behaviour_scale_get_gravity
	  clutter_entry_set_position
	  clutter_entry_get_position

2008-01-21  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add ClutterBehaviourDepth properties
	accessors.

2008-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* subclassing-ClutterActor.sgml: Fix up the wording and the
	examples a bit; add a paragraph about the ClutterActor::pick()
	virtual method.

2008-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new ClutterBehaviourOpacity
	accessors.

2008-01-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new ClutterBehaviourScale setters.

2008-01-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_model_insertv()

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Add clutter-model-private.h

	* clutter-docs.sgml:
	* clutter-sections.txt:
	* clutter.types: Rename ClutterModelDefault into ClutterListModel

2008-01-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove symbols of the ClutterModelDefault
	iterator class.

2008-01-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove clutter_model_append_value()
	and clutter_model_prepend_value(), and add clutter_model_appendv()
	and clutter_model_prependv().

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_actor_move_byu()

2007-12-24  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the units-based clip accessors

2007-12-21  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_group_add() and
	clutter_stage_add() convenience macros.

2007-12-21  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_texture_set_area_from_rgb_data()

2007-12-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Move the shorthand fixed point macros
	in the private section

2007-12-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Added all the unused symbols.

2007-12-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am:
	* clutter-docs.sgml:
	* clutter-sections.txt:
	* clutter.types: Update for ClutterModel changes.

2007-12-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new ClutterModel API.

2007-12-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Add ClutterShader...

	* clutter.types: ... and its type function.

2007-12-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter.types:
	* clutter-docs.sgml:
	* clutter-sections.txt: Fix ClutterScore symbols.

2007-11-30  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update with the newly added API.

2007-11-28  Tomas Frydrych  <tf@openedhand.com>

	* clutter-sections.txt: added new CLUTTER_UNITS_FROM_* macros.

2007-11-28  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Documentation fixes.

	* clutter.types: Remove layout and boxes types.

2007-11-28  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new ClutterEffectTemplate::construct
	method.

2007-11-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Shuffle around non-actor classes.

2007-11-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* subclassing-ClutterActor.sgml: Mention the chain-up needed when
	overriding the request_coords() vfunc of ClutterActor.

2007-11-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add unused API.

2007-11-21  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new ClutterStage fog API.

2007-11-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add ClutterScore symbols and
	ClutterLabel:justify accessors.

2007-11-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove clutter_behaviour_bspline_append() and
	add the new motion events settings API.

2007-11-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Add clutter-x11.h to the headers scanned.

	* clutter-sections.txt: Update with the newly added and removed
	symbols.

2007-11-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Ignore the OSX backend subdirectory and
	scan the clutter-x11.h header

	* clutter-docs.sgml:
	* clutter-sections.txt: Update.

2007-11-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new ClutterTimeline API

2007-11-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new ClutterEffectTemplate constructor.

2007-11-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new ClutterScript signal connection
	functions.

2007-11-15  Neil J. Patel  <njp@o-hand.com>

	* clutter-sections.txt:
	Fix typo.

2007-11-15  Neil J. Patel  <njp@o-hand.com>

	* clutter-docs.sgml:
	* clutter-sections.txt:
	* clutter.types:
	Added support for ClutterModel.

2007-11-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update with the ClutterScriptable changes
	and add clutter_get_script_id().

2007-10-28  Matthew Allum  <mallum@openedhand.com>

	* clutter-animation.sgml:
	Fix missing func param (#583)

2007-10-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Ignore clutter-json.h header.

2007-10-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter.types:
	* clutter-sections.txt:
	* clutter-docs.sgml: Add new ClutterScriptable API.

2007-10-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new ClutterScript API.

2007-10-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new API and rearrange the subsections.

2007-10-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter.types:
	* Makefile.am: Add ClutterScript and ignore clutter-script-private.h
	to avoid picking up private symbols.

2007-08-21  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Move ClutterStage and ClutterStageClass
	symbols in the right section.

2007-08-20  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Move ClutterTimeline and ClutterTimelineClass
	symbols in the right section.

2007-08-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_effect_depth().

2007-08-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Rename raise() and lower() methods of
	ClutterContainer.

2007-08-13  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new ClutterContainer methods.

	* clutter-docs.sgml: Generate the index for the symbols added
	in the 0.5/0.6 cycle.

2007-08-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add the new clutter_threads_* API.

2007-08-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Shuffle around a bit the symbols.

2007-08-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update with the new ClutterBox API.

2007-08-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Add autogeneration of the per-version
	indexes of symbols, plus the index of deprecated symbols.

2007-08-01  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_actot_get_r[xyz]ang()
	functions.

2007-07-31  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update ClutterBackend API.

2007-07-30  Matthew Allum  <mallum@openedhand.com>

	* clutter-animation.sgml:
	Note on ClutterEffects

2007-07-28  Emmanuele Bassi  <ebasso@openedhand.com>

	* clutter-sections.txt: Add new ClutterBehaviourEllipse
	and ClutterStage API.

2007-07-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new symbols.

2007-07-26  Matthew Allum  <mallum@openedhand.com>

	* Makefile.am:
	* clutter-animation.sgml:
	* clutter-docs.sgml:
	An initial shot at some general animation documentation.
	Needs some love.

2007-07-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Rename clutter_behaviour_clear() to
	clutter_behaviour_remove_all().

2007-07-24  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add new rotate behaviour methods.

2007-07-24  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add undocumented symbols

2007-07-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter.types:
	* clutter-docs.sgml:
	* clutter-sections.txt: Add ClutterBehaviourDepth.

2007-07-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Remove partintro, as it messes up with
	devhelp books.

	* clutter-sections.txt: Update functions.

2007-07-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml: Use the right include file for the
	effects section.

2007-06-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* subclassing-ClutterActor.sgml: Add a chapter about how to
	correctly subclass the actor base class.

	* clutter-docs.sgml: Include the new chapter about subclassing
	ClutterActor; add a description for some of the API reference
	parts.

2007-06-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt:
	* clutter.types:
	* clutter-docs.sgml: Add ClutterBox and subclasses. Rework
	the layout of the API reference, now that we have fairly more
	classes.

2007-06-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add ClutterTimeoutPool API.

2007-06-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* tmpl/*.sgml: Remove from revision control the templates:
	everything is now documented from within the source code.

	* clutter-sections.txt: Add missing titles.

2007-06-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter.types:
	* clutter-sections.txt:
	* clutter-docs.sgml: Add ClutterLayout API.

2007-06-07  Emmanuele Bassi  <ebassi@o-hand.com>

	* clutter-sections.txt: Add new ClutterTimeline API.

2007-06-01  Neil J. Patel  <njp@o-hand.com>

	* clutter-sections.txt:
	* tmpl/clutter-entry.sgml:
	updated for new functions.

2007-06-01  Neil J. Patel  <njp@o-hand.com>

	* clutter-sections.txt:
	* tmpl/clutter-entry.sgml:
	Added new functions.

2007-06-01  Neil J. Patel  <njp@o-hand.com>
	* clutter.types:
	* tmpl/clutter-entry.sgml:
	Updated for new signals/properties.

2007-06-01  Neil J. Patel  <njp@o-hand.com>

	* clutter-sections.txt:
	* tmpl/clutter-entry.sgml:
	Updated for new functions.

2007-06-01  Tomas Frydrych  <tf@openedhand.com>

	* tmpl/clutter-alpha.sgml:
	* tmpl/clutter-fixed.sgml:
	* tmpl/clutter-units.sgml:
	* tmpl/clutter-behaviour-rotate.sgml:
	* tmpl/clutter-behaviour-bspline.sgml:
	* tmpl/clutter-behaviour-ellipse.sgml:
	Updated templates.

2007-05-31  Neil J Patel  <njp@o-hand.com>

	* clutter-docs.sgml:
	* clutter-sections.txt:
	* tmpl/clutter-entry.sgml:
	Added ClutterEntry

2007-05-31  Tomas Frydrych  <tf@openedhand.com>

	* tmpl/clutter-behaviour-ellipse.sgml:
	Updated template.

2007-05-31  Tomas Frydrych  <tf@openedhand.com>

	* clutter.types:
	Added clutter_vertices_get_type.

2007-05-30  Tomas Frydrych  <tf@openedhand.com>

	* clutter.types:
	removed clutter_smoothstep_get_type.

	* tmpl/clutter-alpha.sgml:
	* tmpl/clutter-actor.sgml:
	* tmpl/clutter-media.sgml:
	Updated templates.

2007-05-22  Tomas Frydrych  <tf@openedhand.com>

	* clutter-sections.txt:
	* clutter-docs.sgml:
	* tmpl/clutter-units.sgml:
	Added clutter-units.

	* tmpl/clutter-alpha.sgml:
	* tmpl/clutter-actor.sgml:
	* tmpl/clutter-media.sgml:
	* tmpl/clutter-behaviour-ellipse.sgml:
	Updated templates.

2007-05-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Ignore the sdl backend.

	* clutter-sections.txt: Add undocumented symbols.

2007-05-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Use the newly added clutter_base_init() function
	when scanning the library for documentation.

2007-04-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-docs.sgml:
	* clutter-sections.txt:
	* clutter.types: Add new b-spline and rotate behaviours
	to the API documentation.

2007-03-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Ignore clutter/cogl: it's private API.

	* clutter-sections.txt: Remove the now private ClutterBackend
	API; add the ClutterPerspective API.

2007-03-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_get_default_backend().

2007-03-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove duplicae symbol.

2007-03-22  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am: Include the clutter-glx backend API.

2007-03-22  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update with the backend and API
	changes

	* Makefile.am: Don't check into the backend subdirs.

2007-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add forgotten ClutterGroup API.

2007-01-18  Matthew Allum  <mallum@openedhand.com>

	* clutter-docs.sgml:
	Update overview.

2007-01-18  Tomas Frydrych  <tf@openedhand.com>

	* clutter-docs.sgml: added clutter-fixed
	* tmpl/clutter-fixed.sgml: added intro to fixed point math

2007-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove old cruft.

	* clutter-docs.sgml: Add index of symbols.

	* tmpl/clutter-fixed.sgml: Fix doc template.

2007-01-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove clutter_vblank_method(): it's
	private.

2007-01-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update.

	* tmpl/*.sgml: Update templates.

2006-12-13  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update; add clutter_color_equal().

	* tmpl/clutter-color.sgml: Update template.

2006-12-13  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update.

	* tmpl/*.sgml: Update the templates.

2006-12-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Update with the newly added API.

	* tmpl/clutter-event.sgml:
	* tmpl/clutter-fixed.sgml: Provide short and long descriptions.

	* tmpl/clutter-actor.sgml:
	* tmpl/clutter-alpha.sgml:
	* tmpl/clutter-behaviour-path.sgml:
	* tmpl/clutter-behaviour-scale.sgml:
	* tmpl/clutter-color.sgml:
	* tmpl/clutter-feature.sgml:
	* tmpl/clutter-main.sgml: Update templates.

2006-11-20  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Remove debug macros; add clutter-version
	section.

	* Makefile.am: Ignore the stamp files.

	* clutter-docs.sgml: Add a link to the version utils.

	* tmpl/clutter-actor.sgml:
	* tmpl/clutter-main.sgml:
	* tmpl/clutter-version.sgml: Update templates.

2006-11-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Move stuff around: get_type and Private
	stuff go in the Private subsection; remove private symbols like
	pango stuff and the enum gtype signatures; remove cruft.

	* Makefile.am: Add more private files.

	* tmpl/clutter-fixed.sgml:
	* tmpl/clutter-feature.sgml:
	* tmpl/clutter-actor.sgml:
	* tmpl/clutter-media.sgml:
	* tmpl/clutter-behaviour-opacity.sgml:
	* tmpl/clutter-behaviour-path.sgml:
	* tmpl/clutter-behaviour-scale.sgml:
	* tmpl/clutter-behaviour.sgml:
	* tmpl/clutter-alpha.sgml: Add templates.

	* tmpl/clutter-0.0-unused.sgml:
	* tmpl/clutter.sgml:
	* tmpl/clutter-enum-types.sgml:
	* tmpl/clutter-element.sgml: Remove old templates.

2006-11-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt:
	* tmpl/*.sgml: Update with the latest API changes.

2006-09-14  Emmanuele Bassi  <ebassi@openedhand.com>

	D tmpl/clutter-video-texture.sgml

	* clutter-sections.txt:
	* clutter.types: Remove ClutterVideoTexture.

2006-08-30  Jorn Baayen  <jorn@openedhand.com>

	* Makefile.am:

2006-07-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_actor_has_clip() and
	clutter_actor_unparent().

2006-06-22  Matthew Allum  <mallum@openedhand.com>

	reviewed by: <delete if not using a buddy>

	* tmpl/clutter-main.sgml:

2006-06-22  Iain Holmes  <iain@openedhand.com>

	* clutter-sections.txt: Remove clutter_util_can_create_texture

2006-06-22  Ross Burton  <ross@openedhand.com>

	* tmp/*.sgml:
	Add lots of "no public members" and document some signals.

2006-06-22  Iain Holmes  <iain@openedhand.com>

	* clutter-sections.txt: Move _get_type to private sections

2006-06-22  Emmanuele Bassi <ebassi@openedhand.com>

	* clutter-sections.txt: Add clutter_timeline_get_loop().

	* Makefile.am: Add clutter-marshal.h to the ignored header
	files.

2006-06-22  Emmanuele Bassi <ebassi@openedhand.com>

	* clutter-docs.sgml: Fix typos.

2006-06-22  Ross Burton  <ross@openedhand.com>

	* tmpl/clutter-group.sgml:
	Fix braindead source parser.

2006-06-22  Ross Burton  <ross@openedhand.com>

	* clutter.sections.txt:
	* clutter-sections.txt:
	Rename . to -, and add missing class members.

	* tmpl/*:
	Resync

2006-06-22  Matthew Allum  <mallum@openedhand.com>

	* clutter-docs.sgml:
	Add copyright info.

2006-06-22  Matthew Allum  <mallum@openedhand.com>

	* clutter-docs.sgml:
	Add overview text.

2006-06-22  Matthew Allum  <mallum@openedhand.com>

	* Makefile.am:
	* clutter-0.0-sections.txt:
	* clutter-docs.sgml:
	* clutter.sections.txt:
	* clutter.types:
	* tmpl/clutter-0.0-unused.sgml:
	* tmpl/clutter-clone-texture.sgml:
	* tmpl/clutter-color.sgml:
	* tmpl/clutter-event.sgml:
	* tmpl/clutter-group.sgml:
	* tmpl/clutter-keysyms.sgml:
	* tmpl/clutter-label.sgml:
	* tmpl/clutter-main.sgml:
	* tmpl/clutter-marshal.sgml:
	* tmpl/clutter-rectangle.sgml:
	* tmpl/clutter-stage.sgml:
	* tmpl/clutter-texture.sgml:
	* tmpl/clutter-timeline.sgml:
	* tmpl/clutter-util.sgml:
	* tmpl/clutter-video-texture.sgml:
	Rejig a little and sync up with latest source.

2006-06-13  Matthew Allum  <mallum@openedhand.com>

	* ChangeLog:
	* clutter-0.0-sections.txt:
	* clutter.types:
	* tmpl/clutter-0.0-unused.sgml:
	* tmpl/clutter-enum-types.sgml:
	* tmpl/clutter-group.sgml:
	* tmpl/clutter-main.sgml:
	* tmpl/clutter-stage.sgml:
	* tmpl/clutter-video-texture.sgml:
	rename element -> actor

2006-05-26  Emmanuele Bassi  <ebassi@openedhand.com>

	A clutter-0.0-sections.txt

	* clutter-0.0-sections.txt: Add the -section file: every method
	signature should go in this file in order to let gtk-doc pick
	it up when building the template for it.

2006-05-26  Emmanuele Bassi  <ebassi@openedhand.com>

	A tmpl
	A tmpl/*.sgml

	* tmpl/*.sgml: Add gtk-doc templates.

2006-05-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* *: Initial entry.

